Package org.freeplane.plugin.script.proxy

# Class ScriptUtils

java.lang.Object
org.freeplane.plugin.script.proxy.ScriptUtils

public class ScriptUtils extends Object
Various utilities for use in scripting, especially in utility scripts.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScriptUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Proxy.Controller`
  `c()`
  a substitute for the binding variable 'c' in utility scripts.
  `static <T> T`
  `ignoreCycles(Supplier<T> closure)`
  Executes given closure.
  `static Proxy.Node`
  `node()`
  a substitute for the binding variable 'node' in utility scripts.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ScriptUtils

    public ScriptUtils()

- ## Method Details

  - ### c

    public static Proxy.Controller c()
    a substitute for the binding variable 'c' in utility scripts.
    Since:
      1.3.2_03

  - ### node

    public static Proxy.Node node()
    a substitute for the binding variable 'node' in utility scripts.
    Since:
      1.3.2_03

  - ### ignoreCycles

    public static <T> T ignoreCycles(Supplier<T> closure)
    Executes given closure. If there are any cyclic dependencies formulas are skipped and no warnings or exceptions are thrown. Statically imported by default
    Since:
      1.7.4